Dancer2::Core::Role::Engine(3pm)

NAME
Dancer2::Core::Role::Engine - Role for engines

VERSION
version 2.1.0

DESCRIPTION
This role is intended to be consumed by all engine roles. It contains all the shared logic for engines.

This role consumes the Dancer2::Core::Role::Hookable role.

ATTRIBUTES

  config
An HashRef that hosts the configuration bits for the engine.

AUTHOR
Dancer Core Developers

COPYRIGHT AND LICENSE
This software is copyright (c) 2026 by Alexis Sukrieh.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.